import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';
import { AuthStore } from "./store/AuthStore";
import {AuthDetailsComponent} from "./auth-details/auth-details.component";

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [CommonModule, RouterOutlet, AuthDetailsComponent],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss'
})
export class AppComponent {
  constructor(private authStore: AuthStore) {
    this.authStore.setUsername("test");
    this.authStore.setToken("test");
  }

  username$ = this.authStore.username$;
  token$ = this.authStore.token$;

  updateUsername() {
    this.authStore.setUsername("newUsername");
  }
}
